Retrieve all Jobs
curl --request GET \
--url https://api.lilt.com/v2/jobs \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/jobs"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lilt.com/v2/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lilt.com/v2/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lilt.com/v2/jobs")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lilt.com/v2/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"name": "My New Job",
"creationStatus": "COMPLETE",
"deliveredAt": "2021-06-03T13:43:00Z",
"status": "active",
"due": "2021-06-03T13:43:00Z",
"id": 241,
"isProcessing": 0,
"stats": {
"exactWords": 0,
"fuzzyWords": 0,
"newWords": 0,
"numDeliveredProjects": 0,
"numLanguagePairs": 0,
"numProjects": 0,
"percentReviewed": 0,
"percentTranslated": 0,
"projects": [
{
"id": 123,
"srcLang": "en",
"srcLocale": "US",
"trgLang": "fr",
"trgLocale": "CA",
"name": "My new project",
"due": "2021-10-03T13:43:00.000Z",
"isComplete": false,
"isArchived": false,
"state": "inProgress",
"numSourceTokens": 2134,
"createdAt": "2021-04-01T13:43:00.000Z",
"updatedAt": "2021-06-03T13:43:00.000Z",
"isDeleted": false,
"memoryId": 2134,
"workflowStatus": "READY_TO_START",
"workflowName": "Translate > Review > Analyst Review"
}
],
"sourceWords": 0,
"uniqueLanguagePairs": 1,
"uniqueLinguists": 1,
"workflowStatus": "READY_TO_START"
},
"domains": [
{
"id": 12,
"name": "Marketing"
}
]
}
]"<string>"{
"message": "Internal server error."
}Jobs
Retrieve all Jobs
Get all Jobs within a given offset and limit. You can retrieve jobs from your account using the above API.
Example CURL command:
curl -X GET 'https://api.lilt.com/v2/jobs?key=API_KEY&isArchived=false'
GET
/
v2
/
jobs
Retrieve all Jobs
curl --request GET \
--url https://api.lilt.com/v2/jobs \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/jobs"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lilt.com/v2/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lilt.com/v2/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lilt.com/v2/jobs")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lilt.com/v2/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"name": "My New Job",
"creationStatus": "COMPLETE",
"deliveredAt": "2021-06-03T13:43:00Z",
"status": "active",
"due": "2021-06-03T13:43:00Z",
"id": 241,
"isProcessing": 0,
"stats": {
"exactWords": 0,
"fuzzyWords": 0,
"newWords": 0,
"numDeliveredProjects": 0,
"numLanguagePairs": 0,
"numProjects": 0,
"percentReviewed": 0,
"percentTranslated": 0,
"projects": [
{
"id": 123,
"srcLang": "en",
"srcLocale": "US",
"trgLang": "fr",
"trgLocale": "CA",
"name": "My new project",
"due": "2021-10-03T13:43:00.000Z",
"isComplete": false,
"isArchived": false,
"state": "inProgress",
"numSourceTokens": 2134,
"createdAt": "2021-04-01T13:43:00.000Z",
"updatedAt": "2021-06-03T13:43:00.000Z",
"isDeleted": false,
"memoryId": 2134,
"workflowStatus": "READY_TO_START",
"workflowName": "Translate > Review > Analyst Review"
}
],
"sourceWords": 0,
"uniqueLanguagePairs": 1,
"uniqueLinguists": 1,
"workflowStatus": "READY_TO_START"
},
"domains": [
{
"id": 12,
"name": "Marketing"
}
]
}
]"<string>"{
"message": "Internal server error."
}Authorizations
Query Parameters
Response
A list of Job objects.
Was this page helpful?

